## fsa 1.15.9+dfsg

=== debian/changelog ===
fsa (1.15.9+dfsg-6) unstable; urgency=medium

  * Fix typo

 -- Andreas Tille <tille@debian.org>  Sun, 15 Nov 2020 17:45:20 +0100

fsa (1.15.9+dfsg-5) unstable; urgency=medium

  * Ignore test that times out on i386 on this architecture
    Closes: #974557
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 12 Nov 2020 16:57:16 +0100

fsa (1.15.9+dfsg-4) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5
  * d/rules:
     - Drop unneeded get-orig-source target
     - Do not parse d/changelog

 -- Andreas Tille <tille@debian.org>  Wed, 18 Jul 2018 21:07:06 +0200

fsa (1.15.9+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Add autopkgtests.
    Closes: #848328

 -- Sascha Steinbiss <satta@debian.org>  Fri, 16 Dec 2016 16:41:29 +0000

fsa (1.15.9+dfsg-2) unstable; urgency=medium

  * Fix build on mips*, arm* (thanks for the patch to Daniel Knezevic
    <Daniel.Knezevic@imgtec.com>)
    Closes: #830854

 -- Andreas Tille <tille@debian.org>  Tue, 12 Jul 2016 11:59:07 +0200

fsa (1.15.9+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #808690)

 -- Andreas Tille <tille@debian.org>  Tue, 31 May 2016 10:27:53 +0200
