=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

include /usr/share/dpkg/default.mk

mandir=$(CURDIR)/debian/$(DEB_SOURCE)/usr/share/man/man1
bindir=$(CURDIR)/debian/$(DEB_SOURCE)/usr/bin

HELP2MAN = help2man --no-info --version-string="$(DEB_VERSION_UPSTREAM)"

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

#override_dh_auto_configure:
#  htcondor is a bit complex to be configured and thus we delay this one
#	dh_auto_configure -- --enable-condor-compile
	    # found automatically: --with-mummer=/usr/bin/mummer --with-exonerate=/usr/bin/exonerate

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	echo "Tests seem to miss some files:"
	echo "make[4]: *** No rule to make target 'apps/isect_d.unmappable.bash', needed by 'apps/isect_d.unmappable.bash.log'.  Stop."
endif

override_dh_install:
	dh_install
	mv $(bindir)/translate $(bindir)/fsa-translate
