=== debian/tests/control ===
Tests: test-nuc
Depends: @
Restrictions: allow-stderr

Tests: test-prot
Depends: @
Restrictions: allow-stderr
